Bug 501437 - [RFE] Add support for exclusively activating snapshots of clustered logical volumes
[RFE] Add support for exclusively activating snapshots of clustered logical v...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
: FutureFeature, Triaged
Depends On: 527186
Blocks: 554476
  Show dependency treegraph
 
Reported: 2009-05-19 02:01 EDT by Issue Tracker
Modified: 2011-12-13 10:12 EST (History)
13 users (show)

See Also:
Fixed In Version: lvm2-2.02.84-1.el5
Doc Type: Enhancement
Doc Text:
This field is the basis of the errata or release note for this bug. It can also be used for change logs. The Technical Note template, known as CCFR, is as follows: Cause What actions or circumstances cause this bug to present. Consequence What happens when the bug presents. Fix What was done to fix the bug. Result What now happens when the actions or circumstances above occur. Note: this is not the same as the bug doesn’t present anymore.
Story Points: ---
Clone Of:
: 527186 (view as bug list)
Environment:
Last Closed: 2011-07-21 02:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2009-05-19 02:01:55 EDT
Creating snapshots of logical volumes belonging to a clustered volume
group is not currently possible, which means there is no reliable way to
create a consistent backup of data on one of these logical volumes. 
Creation of snapshots based on clustered logical volumes that were
activated exclusively (lvchange -aey) should theoretically be possible
since only one node has access to that logical volume, however since the
exclusive state is a property of the activation and is not stored in
metadata, there would need to be additional checks to allow for creating a
snapshot of a clustered lv if that property is present.
Comment 6 Jonathan Earl Brassow 2011-02-09 16:26:44 EST
upstream in version 2.02.83
Comment 8 Milan Broz 2011-03-04 12:54:10 EST
Fixed in lvm2-2.02.84-1.el5
Comment 11 Corey Marthaler 2011-05-10 17:26:46 EDT
We need to turn on snap of mirrors if this is going to be a back port of the RHEL6.1 version of this bug. Otherwise we need to state that exclusive cmirror snaps are not supported.

"Snapshots and mirrors may not yet be mixed."
Comment 12 Jonathan Earl Brassow 2011-05-23 17:27:25 EDT
Does it give a sensible message?

I don't think we will port snaps of mirrors in rhel5.  A note will be needed.
Comment 13 Corey Marthaler 2011-05-25 11:55:23 EDT
It does give a sensible message. So, I'll add the "needs tech notes" flag based on comment #12 and mark this feature verified for linear and stripe volumes only.

[root@grant-02 ~]# lvchange -aye grant/linear grant/stripe grant/mirror

[root@grant-02 ~]# lvs -a -o +devices
 LV                VG     Attr   LSize   Origin Snap% Log         Copy%  Devices
 linear            grant  -wi-a- 100.00M                                 /dev/sdb1(0)
 mirror            grant  mwi-a- 100.00M              mirror_mlog 100.00 mirror_mimage_0(0),mirror_mimage_1(0)
 [mirror_mimage_0] grant  iwi-ao 100.00M                                 /dev/sdb1(38)
 [mirror_mimage_1] grant  iwi-ao 100.00M                                 /dev/sdb2(13)
 [mirror_mlog]     grant  lwi-ao   4.00M                                 /dev/sdc3(0)
 stripe            grant  -wi-a- 104.00M                                 /dev/sdb1(25),/dev/sdb2(0)

# CLUSTER LINEAR WORKS
[root@grant-02 ~]# lvcreate -n snap1 -L 50M -s grant/linear
  Rounding up size to full physical extent 52.00 MB
  Logical volume "snap1" created

# CLUSTER STRIPE WORKS
[root@grant-02 ~]# lvcreate -n snap2 -L 50M -s grant/stripe
  Rounding up size to full physical extent 52.00 MB
  Logical volume "snap2" created

# CLUSTER MIRROR DOES NOT WORK
[root@grant-02 ~]# lvcreate -n snap3 -L 50M -s grant/mirror
  Rounding up size to full physical extent 52.00 MB
  Snapshots and mirrors may not yet be mixed.

[root@grant-02 ~]# lvs -a -o +devices
 LV                VG     Attr   LSize   Origin Snap% Log         Copy%  Devices
 linear            grant  owi-a- 100.00M                                 /dev/sdb1(0)
 mirror            grant  mwi-a- 100.00M              mirror_mlog 100.00 mirror_mimage_0(0),mirror_mimage_1(0)
 [mirror_mimage_0] grant  iwi-ao 100.00M                                 /dev/sdb1(38)
 [mirror_mimage_1] grant  iwi-ao 100.00M                                 /dev/sdb2(13)
 [mirror_mlog]     grant  lwi-ao   4.00M                                 /dev/sdc3(0)
 snap1             grant  swi-a-  52.00M linear  0.02                    /dev/sdb1(63)
 snap2             grant  swi-a-  52.00M stripe  0.02                    /dev/sdb1(76)
 stripe            grant  owi-a- 104.00M                                 /dev/sdb1(25),/dev/sdb2(0)
Comment 15 Florian Nadge 2011-05-26 10:51:30 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This field is the basis of the errata or release note for this bug. It can also be used for change logs.

The Technical Note template, known as CCFR, is as follows:

Cause
    What actions or circumstances cause this bug to present.
Consequence
    What happens when the bug presents.
Fix
    What was done to fix the bug.
Result
    What now happens when the actions or circumstances above occur.
    Note: this is not the same as the bug doesn’t present anymore.
Comment 16 errata-xmlrpc 2011-07-21 02:57:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0986.html

Note You need to log in before you can comment on or make changes to this bug.